The following intensity and position diagnostics are installed in the Aramis FEL
## Back scattering monitors
**Purpose:** Shot-to-shot non-destructive measurement of X-ray beam position and intensity (**P**hoton**B**eam**P**osition**S**olid)

[PBPS calibration guide](Aramis-Intensity-Diagnostics/PBPS-calibration-guide)  
[PBPS electronics guide](Aramis-Intensity-Diagnostics/PBPS-Electronics-Guide)  
[PBPS BS faults](Aramis-Intensity-Diagnostics/PBPS-BS-fault)  
[PBPS data and processing](Aramis-Intensity-Diagnostics/PBPS-data)

<img src="https://docs.google.com/drawings/d/e/2PACX-1vSUi_Moq5yk7OC--yS0dMFI3A8h-EDZ9fWktFfx_WGW7lJkLWEpS3ky5TfsxJZi-QnkZlN9o19PCecP/pub?w=930&amp;h=182">

**Device info**

> ### Front end
>[SARFE10-PBPS053](Aramis-Intensity-Diagnostics/SARFE10-PBPS053)

> ### Optics hutch Alvra
>[SAROP11-PBPS110](Aramis-Intensity-Diagnostics/SAROP11-PBPS110)

> ### Alvra hutch
>[SAROP11-PBPS122](Aramis-Intensity-Diagnostics/SAROP11-PBPS122)

> ### Optics hutch Bernina
>[SAROP21-PBPS103](Aramis-Intensity-Diagnostics/SAROP21-PBPS103)

> ### Bernina hutch
>[SAROP21-PBPS133](Aramis-Intensity-Diagnostics/SAROP21-PBPS133)  
>[SARES21-PBPS141](Aramis-Intensity-Diagnostics/SARES21-PBPS141)
  
> ### Optics hutch Cristallina
>[SAROP31-PBPS113](Aramis-Intensity-Diagnostics/SAROP31-PBPS113)

> ### Cristallina hutch 
>[SAROP31-PBPS149](Aramis-Intensity-Diagnostics/SAROP31-PBPS149) 

## Photodiodes  
**Purpose:** Detection of low-intensity X-rays (**P**hoton**D**iode**I**ntensity**M**onitor)

<img src="https://docs.google.com/drawings/d/e/2PACX-1vSJwxIFf8Sms72iBY6Eu_wOpHZUScQ0hBD3Di0UUqKu7AkVbki6r1-VfDWNbQXTTeGvaTj2RhomGEIM/pub?w=926&amp;h=188">

> ### Front end
>[SARFE10-PDIM053](Aramis-Intensity-Diagnostics/SARFE10-PDIM053)

> ### Optics hutch Alvra
>[SAROP11-PDIM111](Aramis-Intensity-Diagnostics/SAROP11-PDIM111)

> ### Optics hutch Cristallina
>[SAROP31-PDIM113](Aramis-Intensity-Diagnostics/SAROP31-PDIM113) 

# Debug guide
```mermaid
%%{
  init: {
    'theme': 'base',
    'themeVariables': {
      'primaryColor': '#825AA6',
      'primaryTextColor': '#fff',
      'primaryBorderColor': '#825AA6',
      'lineColor': '#000',
      'secondaryColor': '#000',
      'tertiaryColor': '#fff'
    }
  }
}%%

flowchart TD
    C{Type of issue}
    C -->|Motion control| D[Scott Stubbs]
    C -->|DAQ issue| E[Scott Stubbs]
    C -->|Data issue| F[Edwin Divall]
    D -->|Not available| G[Claude Pradervand]
    E -->|Not available| G[Claude Pradervand]
    F -->|Not available| G[Tine Celcer]
```